Respond to dispute
curl --request POST \
--url https://api.quentli.com/v1/dispute-responses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"disputeId": "<string>",
"statement": "<string>",
"productDescription": "<string>",
"serviceDate": "<string>",
"evidence": []
}
}
'import requests
url = "https://api.quentli.com/v1/dispute-responses"
payload = { "input": {
"disputeId": "<string>",
"statement": "<string>",
"productDescription": "<string>",
"serviceDate": "<string>",
"evidence": []
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
disputeId: '<string>',
statement: '<string>',
productDescription: '<string>',
serviceDate: '<string>',
evidence: []
}
})
};
fetch('https://api.quentli.com/v1/dispute-responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quentli.com/v1/dispute-responses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'input' => [
'disputeId' => '<string>',
'statement' => '<string>',
'productDescription' => '<string>',
'serviceDate' => '<string>',
'evidence' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quentli.com/v1/dispute-responses"
payload := strings.NewReader("{\n \"input\": {\n \"disputeId\": \"<string>\",\n \"statement\": \"<string>\",\n \"productDescription\": \"<string>\",\n \"serviceDate\": \"<string>\",\n \"evidence\": []\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quentli.com/v1/dispute-responses")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"input\": {\n \"disputeId\": \"<string>\",\n \"statement\": \"<string>\",\n \"productDescription\": \"<string>\",\n \"serviceDate\": \"<string>\",\n \"evidence\": []\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quentli.com/v1/dispute-responses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"input\": {\n \"disputeId\": \"<string>\",\n \"statement\": \"<string>\",\n \"productDescription\": \"<string>\",\n \"serviceDate\": \"<string>\",\n \"evidence\": []\n }\n}"
response = http.request(request)
puts response.read_body{
"disputeResponse": {
"id": "dr_1234567890abcdefghij",
"createdAt": "2023-11-07T05:31:56Z",
"disputeId": "<string>",
"statement": "<string>",
"productDescription": "<string>",
"serviceDate": "<string>",
"submittedById": "<string>"
},
"dispute": {
"id": "dis_1234567890abcdefghij",
"createdAt": "2025-01-15T18:30:00.000Z",
"updatedAt": "2025-01-15T18:30:00.000Z",
"status": "PENDING_RESPONSE",
"respondBy": null,
"reason": null,
"paymentId": "p_1234567890abcdefghij",
"madeById": "u_1234567890abcdefghij",
"resolvedAt": null,
"lostReason": null,
"resolvedById": null,
"payoutId": null
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Payments
Respond to dispute
Submits a response to a payment dispute through its processor. Submitted responses are final. Requires a user OAuth token.
POST
/
v1
/
dispute-responses
Respond to dispute
curl --request POST \
--url https://api.quentli.com/v1/dispute-responses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"disputeId": "<string>",
"statement": "<string>",
"productDescription": "<string>",
"serviceDate": "<string>",
"evidence": []
}
}
'import requests
url = "https://api.quentli.com/v1/dispute-responses"
payload = { "input": {
"disputeId": "<string>",
"statement": "<string>",
"productDescription": "<string>",
"serviceDate": "<string>",
"evidence": []
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
disputeId: '<string>',
statement: '<string>',
productDescription: '<string>',
serviceDate: '<string>',
evidence: []
}
})
};
fetch('https://api.quentli.com/v1/dispute-responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quentli.com/v1/dispute-responses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'input' => [
'disputeId' => '<string>',
'statement' => '<string>',
'productDescription' => '<string>',
'serviceDate' => '<string>',
'evidence' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quentli.com/v1/dispute-responses"
payload := strings.NewReader("{\n \"input\": {\n \"disputeId\": \"<string>\",\n \"statement\": \"<string>\",\n \"productDescription\": \"<string>\",\n \"serviceDate\": \"<string>\",\n \"evidence\": []\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quentli.com/v1/dispute-responses")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"input\": {\n \"disputeId\": \"<string>\",\n \"statement\": \"<string>\",\n \"productDescription\": \"<string>\",\n \"serviceDate\": \"<string>\",\n \"evidence\": []\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quentli.com/v1/dispute-responses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"input\": {\n \"disputeId\": \"<string>\",\n \"statement\": \"<string>\",\n \"productDescription\": \"<string>\",\n \"serviceDate\": \"<string>\",\n \"evidence\": []\n }\n}"
response = http.request(request)
puts response.read_body{
"disputeResponse": {
"id": "dr_1234567890abcdefghij",
"createdAt": "2023-11-07T05:31:56Z",
"disputeId": "<string>",
"statement": "<string>",
"productDescription": "<string>",
"serviceDate": "<string>",
"submittedById": "<string>"
},
"dispute": {
"id": "dis_1234567890abcdefghij",
"createdAt": "2025-01-15T18:30:00.000Z",
"updatedAt": "2025-01-15T18:30:00.000Z",
"status": "PENDING_RESPONSE",
"respondBy": null,
"reason": null,
"paymentId": "p_1234567890abcdefghij",
"madeById": "u_1234567890abcdefghij",
"resolvedAt": null,
"lostReason": null,
"resolvedById": null,
"payoutId": null
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Authorizations
organizationApiKeyoauthAccessToken
Was this page helpful?